Bug 568973

Summary: Reloading the first page disables 'Next Page' until scrolled
Product: [Fedora] Fedora Reporter: Aaron Faanes <dafrito>
Component: epdfviewAssignee: Michal Schmidt <mschmidt>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: itsme_410, mschmidt
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: epdfview-0.1.7-5.20100302svn.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-10 06:56:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 568592    
Bug Blocks:    

Description Aaron Faanes 2010-02-27 09:13:10 UTC
Description of problem:

Reloading the first page of a multipage PDF disables the 'Next Page' icon. The icon becomes reenabled whenever the page is manually changed.

Version-Release number of selected component (if applicable):
epdfview.x86_64 0:0.1.7-3.20100226svn.fc12

How reproducible:
Reproducible on the first page

Steps to Reproduce:
1. Open multi-page PDF. Stay at page one.
2. Select File > Reload
  
Actual results:
The 'Next Page' button is disabled.

Expected results:
The 'Next Page' button remains enabled.

Additional info:

Other pages don't show these issues, nor does the last page.

Comment 1 Fedora Update System 2010-03-01 09:04:49 UTC
epdfview-0.1.7-4.20100226svn.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3087

Comment 2 Fedora Update System 2010-03-02 00:56:04 UTC
epdfview-0.1.7-4.20100226svn.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update epdfview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3087

Comment 3 Ranjan Maitra 2010-03-02 04:35:55 UTC
Strangely, I do not have this problem. The updated epdfview works fine for me in this regard.

The only thing that does not work for me, with both this and the previous rpm is that the "backspace" button moves the page forward. This is a different issue which does not appear to be well-resolved in epdfview.

Comment 4 Aaron Faanes 2010-03-02 04:42:33 UTC
Fixed for me in updates-testing

Comment 5 Fedora Update System 2010-03-02 09:50:40 UTC
epdfview-0.1.7-5.20100302svn.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3087

Comment 6 Michal Schmidt 2010-03-02 09:56:22 UTC
(In reply to comment #3)
> The only thing that does not work for me, with both this and the previous rpm
> is that the "backspace" button moves the page forward. This is a different
> issue which does not appear to be well-resolved in epdfview.    

Right. Also Enter behaved strangely - it moved by two pages instead of just one. I fixed both hotkeys in 0.1.7-5.20100302svn.

Thank you both for testing.

Comment 7 Fedora Update System 2010-03-03 02:02:52 UTC
epdfview-0.1.7-5.20100302svn.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update epdfview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3087

Comment 8 Fedora Update System 2010-03-10 06:56:23 UTC
epdfview-0.1.7-5.20100302svn.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.